Bug 911264 - libreplace.so => not found
Summary: libreplace.so => not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba4
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On: 907915
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-14 15:53 UTC by Andreas Schneider
Modified: 2013-11-21 05:28 UTC (History)
8 users (show)

Fixed In Version: samba4-4.0.0-56.el6.rc4
Doc Type: Bug Fix
Doc Text:
Clone Of: 907915
Environment:
Last Closed: 2013-11-21 05:28:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1543 normal SHIPPED_LIVE Moderate: samba4 security and bug fix update 2013-11-20 21:40:44 UTC
Samba Project 9664 None None None Never

Description Andreas Schneider 2013-02-14 15:53:51 UTC
+++ This bug was initially created as a clone of Bug #907915 +++

# rpm -q samba-libs
samba-libs-4.0.3-1.fc19.x86_64
# rpm -V samba-libs
# ldd /usr/lib64/samba/libcmdline-credentials.so |grep 'not found'
	libreplace.so => not found
# /sbin/ldconfig 
# ldd /usr/lib64/samba/libcmdline-credentials.so |grep 'not found'
	libreplace.so => not found
# rpm -q --provides samba-libs | grep 'libreplace'
libreplace.so()(64bit)
libreplace.so(SAMBA_4.0.3)(64bit)
# ls  /usr/lib64/samba/libreplace.so  -l
-rwxr-xr-x. 1 root root 13952  7 févr. 16:37 /usr/lib64/samba/libreplace.so

--- Additional comment from Andreas Schneider on 2013-02-14 06:46:18 EST ---

There is a explicit dependency missing in 4.0. I've fixed it and a new build is on the way. Thanks for the bug report!

Comment 1 Andreas Schneider 2013-02-14 15:55:13 UTC
This also applies to the samba4-libs package in RHEL 6.4.

Comment 14 errata-xmlrpc 2013-11-21 05:28:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1543.html


Note You need to log in before you can comment on or make changes to this bug.